Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyle.ContentsType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyle.ContentsType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyle

    public static final class QStyle.ContentsType

extends java.lang.Enum
implements QtEnumerator

This enum describes the available contents types. These are used to calculate sizes for the contents of various widgets.

See also:
  `sizeFromContents()`.

See Also:
  Serialized Form

Field Summary
`static QStyle.ContentsType` | `CT_CheckBox` A check box, like `QCheckBox`.
`static QStyle.ContentsType` | `CT_ComboBox` A combo box, like `QComboBox`.
`static QStyle.ContentsType` | `CT_CustomBase` Base value for custom contents types.
`static QStyle.ContentsType` | `CT_DialogButtons`
`static QStyle.ContentsType` | `CT_GroupBox` A group box, like `QGroupBox`.
`static QStyle.ContentsType` | `CT_HeaderSection` A header section, like QHeader.
`static QStyle.ContentsType` | `CT_ItemViewItem` An item inside an item view.
`static QStyle.ContentsType` | `CT_LineEdit` A line edit, like `QLineEdit`.
`static QStyle.ContentsType` | `CT_MdiControls` The minimize, normal, and close button in the menu bar for a maximized MDI subwindow.
`static QStyle.ContentsType` | `CT_Menu`
`static QStyle.ContentsType` | `CT_MenuBar`
`static QStyle.ContentsType` | `CT_MenuBarItem` A menu bar, like `QMenuBar`.
`static QStyle.ContentsType` | `CT_MenuItem` A menu, like `QMenu`.
`static QStyle.ContentsType` | `CT_ProgressBar` A progress bar, like `QProgressBar`.
`static QStyle.ContentsType` | `CT_PushButton` A push button, like `QPushButton`.
`static QStyle.ContentsType` | `CT_Q3DockWindow` A Q3DockWindow.
`static QStyle.ContentsType` | `CT_Q3Header` A Qt 3 header section, like Q3Header.
`static QStyle.ContentsType` | `CT_RadioButton` A radio button, like `QRadioButton`.
`static QStyle.ContentsType` | `CT_ScrollBar` A scroll bar, like `QScrollBar`.
`static QStyle.ContentsType` | `CT_SizeGrip` A size grip, like `QSizeGrip`.
`static QStyle.ContentsType` | `CT_Slider` A slider, like `QSlider`.
`static QStyle.ContentsType` | `CT_SpinBox` A spin box, like `QSpinBox`.
`static QStyle.ContentsType` | `CT_Splitter` A splitter, like `QSplitter`.
`static QStyle.ContentsType` | `CT_TabBarTab` A tab on a tab bar, like `QTabBar`.
`static QStyle.ContentsType` | `CT_TabWidget` A tab widget, like `QTabWidget`.
`static QStyle.ContentsType` | `CT_ToolButton` A tool button, like `QToolButton`.
`static QStyle.ContentsType` | `CustomEnum`

Method Summary
`static QStyle.ContentsType` | `resolve(int value)` Returns the QStyle$ContentsType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyle.ContentsType` | `valueOf(java.lang.String name)`
`static QStyle.ContentsType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### CT_PushButton

    public static final QStyle.ContentsType CT_PushButton

  A push button, like `QPushButton`.

### CT_CheckBox

    public static final QStyle.ContentsType CT_CheckBox

  A check box, like `QCheckBox`.

### CT_RadioButton

    public static final QStyle.ContentsType CT_RadioButton

  A radio button, like `QRadioButton`.

### CT_ToolButton

    public static final QStyle.ContentsType CT_ToolButton

  A tool button, like `QToolButton`.

### CT_ComboBox

    public static final QStyle.ContentsType CT_ComboBox

  A combo box, like `QComboBox`.

### CT_Splitter

    public static final QStyle.ContentsType CT_Splitter

  A splitter, like `QSplitter`.

### CT_Q3DockWindow

    public static final QStyle.ContentsType CT_Q3DockWindow

  A Q3DockWindow.

### CT_ProgressBar

    public static final QStyle.ContentsType CT_ProgressBar

  A progress bar, like `QProgressBar`.

### CT_MenuItem

    public static final QStyle.ContentsType CT_MenuItem

  A menu, like `QMenu`.

### CT_MenuBarItem

    public static final QStyle.ContentsType CT_MenuBarItem

  A menu bar, like `QMenuBar`.

### CT_MenuBar

    public static final QStyle.ContentsType CT_MenuBar

### CT_Menu

    public static final QStyle.ContentsType CT_Menu

### CT_TabBarTab

    public static final QStyle.ContentsType CT_TabBarTab

  A tab on a tab bar, like `QTabBar`.

### CT_Slider

    public static final QStyle.ContentsType CT_Slider

  A slider, like `QSlider`.

### CT_ScrollBar

    public static final QStyle.ContentsType CT_ScrollBar

  A scroll bar, like `QScrollBar`.

### CT_Q3Header

    public static final QStyle.ContentsType CT_Q3Header

  A Qt 3 header section, like Q3Header.

### CT_LineEdit

    public static final QStyle.ContentsType CT_LineEdit

  A line edit, like `QLineEdit`.

### CT_SpinBox

    public static final QStyle.ContentsType CT_SpinBox

  A spin box, like `QSpinBox`.

### CT_SizeGrip

    public static final QStyle.ContentsType CT_SizeGrip

  A size grip, like `QSizeGrip`.

### CT_TabWidget

    public static final QStyle.ContentsType CT_TabWidget

  A tab widget, like `QTabWidget`.

### CT_DialogButtons

    public static final QStyle.ContentsType CT_DialogButtons

### CT_HeaderSection

    public static final QStyle.ContentsType CT_HeaderSection

  A header section, like QHeader.

### CT_GroupBox

    public static final QStyle.ContentsType CT_GroupBox

  A group box, like `QGroupBox`.

### CT_MdiControls

    public static final QStyle.ContentsType CT_MdiControls

  The minimize, normal, and close button in the menu bar for a maximized MDI subwindow.

### CT_ItemViewItem

    public static final QStyle.ContentsType CT_ItemViewItem

  An item inside an item view.

### CT_CustomBase

    public static final QStyle.ContentsType CT_CustomBase

  Base value for custom contents types. Custom values must be greater than this value.

### CustomEnum

    public static final QStyle.ContentsType CustomEnum

Method Detail

### values

    public static QStyle.ContentsType[] values()

### valueOf

    public static QStyle.ContentsType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyle.ContentsType resolve(int value)

  Returns the QStyle$ContentsType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD